# __gnu_parallel::random_number Class Reference

List of all members.

## Detailed Description

Random number generator, based on the Mersenne twister.

Definition at line 47 of file random_number.h.

## Public Member Functions

- unsigned long genrand_bits (int bits)
- uint32 operator() (uint64 local_supremum)
- uint32 operator() ()
- random_number (uint32 seed, uint64 supremum=0x100000000ULL)
- random_number ()

## Constructor & Destructor Documentation

__gnu_parallel::random_number::random_number | ( |  | ) | `[inline]`

Default constructor. Seed with 0.

Definition at line 79 of file random_number.h.

__gnu_parallel::random_number::random_number | ( | uint32 | seed,
|  | uint64 | supremum = `0x100000000ULL` |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | seed | Random seed.
  | supremum | Generate integer random numbers in the interval ``[0,supremum).

Definition at line 90 of file random_number.h.

## Member Function Documentation

unsigned long __gnu_parallel::random_number::genrand_bits | ( | int | bits | ) | `[inline]`

Generate a number of random bits, run-time parameter.

Parameters:

  | bits | Number of bits to generate.

Definition at line 114 of file random_number.h.

uint32 __gnu_parallel::random_number::operator() | ( | uint64 | local_supremum | ) | `[inline]`

Generate unsigned random 32-bit integer in the interval ``[0,local_supremum).

Definition at line 105 of file random_number.h.

uint32 __gnu_parallel::random_number::operator() | ( |  | ) | `[inline]`

Generate unsigned random 32-bit integer.

Definition at line 99 of file random_number.h.

The documentation for this class was generated from the following file:

- random_number.h